org.apache.solr.analytics.util.valuesource

## Class MultiplyDoubleFunction

- java.lang.Object
- - org.apache.lucene.queries.function.ValueSource
  - - org.apache.solr.analytics.util.valuesource.MultiDoubleFunction
    - - org.apache.solr.analytics.util.valuesource.MultiplyDoubleFunction

-     public class MultiplyDoubleFunction
      extends MultiDoubleFunction

  `MultiplyDoubleFunction` returns the product of its components.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `NAME`

    - ### Fields inherited from class org.apache.solr.analytics.util.valuesource.MultiDoubleFunction

      `sources`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultiplyDoubleFunction(ValueSource[] sources)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected double` | `func(int doc, FunctionValues[] valsArr)`
    `protected String` | `name()`

    - ### Methods inherited from class org.apache.solr.analytics.util.valuesource.MultiDoubleFunction

      `createWeight, description, equals, getValues, hashCode`

    - ### Methods inherited from class org.apache.lucene.queries.function.ValueSource

      `getSortField, newContext, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final String NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MultiplyDoubleFunction

          public MultiplyDoubleFunction(ValueSource[] sources)

  - ### Method Detail

    - #### name

          protected String name()

      Specified by:
        `name` in class `MultiDoubleFunction`

    - #### func

          protected double func(int doc,
                                FunctionValues[] valsArr)

      Specified by:
        `func` in class `MultiDoubleFunction`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.